www.cendio.com
Bug 5262 - CUPS check fails on RHEL 7 if available thanks to systemd
: CUPS check fails on RHEL 7 if available thanks to systemd
Status: CLOSED FIXED
: ThinLinc
Server Installer
: 4.2.0
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-09-18 16:34 by
Modified: 2014-10-06 16:28 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-09-18 16:34:20
CUPS service on RHEL7 is configured to support on demand start using systemd
unit cups.socket. However it's only configure to start on demand by accessing a
UNIX socket and not the CUPS web interface socket on TCP port 631. This makes
our check fails which just tries to connect to localhost:631.

We should add an additional check if /var/run/cups/cups.sock exists (owned by
systemd) to provide better out of the box experience.

Workaround is to manually enable cups.service.
------- Comment #1 From cendio 2014-09-23 13:55:38 -------
Fixed in r29408.
------- Comment #2 From cendio 2014-09-29 09:16:25 -------
Tested using ThinLinc build 4505, works as expected with cups.service stopped
and cups.socket running.
------- Comment #3 From cendio 2014-09-29 09:20:12 -------
(In reply to comment #2)
> Tested using ThinLinc build 4505, works as expected with cups.service stopped
> and cups.socket running.

Also tested with cups.service enabled and running which also works as expected.